## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-debugger-client
%global         forgeurl    https://github.com/googleapis/python-debugger-client
Version:        1.7.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Debugger API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Cloud Debugger is a feature of Google Cloud Platform that lets you inspect
the state of an application, at any code location, without stopping or
slowing down the running app. Cloud Debugger makes it easier to view the
application state without adding logging statements.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md CONTRIBUTING.rst SECURITY.md samples/
%{python3_sitelib}/google_cloud_debugger_client-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2220968

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.6.1-2
- Rebuilt for Python 3.12

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.4.3-1
- Update to 1.4.3 rhbz#2131891

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 1.4.1-1
- Update to 1.4.1 rhbz#2118794

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.4.0-1
- Update to 1.4.0 rhbz#2108125

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1.3.2-3
- Add import check rhbz#2098948

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.3.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Mon Apr 11 2022 Major Hayden <major@mhtx.net> - 1.3.1-2
- Include extra docs

* Mon Apr 11 2022 Major Hayden <major@mhtx.net> - 1.3.1-1
- Initial import (#2068107)
